 //
//  TextView.m
//  TextTest
//
//  Created by Jesse Grosjean on 12/7/15.
//  Copyright © 2015 Jesse Grosjean. All rights reserved.
//

#import "TextView.h"

@implementation TextView

- (void)keyDown:(NSEvent *)theEvent {
    NSLog(@"\n\nKeyDown\n\n");
    [super keyDown:theEvent];
}

- (void)setNeedsDisplayInRect:(NSRect)rect avoidAdditionalLayout:(BOOL)flag {
    if (NSEqualRects(self.bounds, rect)) {
        NSLog(@"setNeedsDisplayInRect: rect=self.bounds");
    }
    [super setNeedsDisplayInRect:rect avoidAdditionalLayout:flag];
}

- (void)setFrameSize:(NSSize)newSize {
    NSLog(@"setFrameSize: %@", NSStringFromSize(newSize));
    [super setFrameSize:newSize];
}

- (void)drawRect:(NSRect)dirtyRect {
    [super drawRect:dirtyRect];
}

@end
