//
//  ViewController.m
//  TextTest
//
//  Created by Jesse Grosjean on 12/7/15.
//  Copyright © 2015 Jesse Grosjean. All rights reserved.
//

#import "ViewController.h"
#import "TextView.h"
#import "LayoutManager.h"

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];

    TextView *textView = (id) self.sourceItemView;
    LayoutManager *layoutManager = [[LayoutManager alloc] init];
    layoutManager.allowsNonContiguousLayout = YES;
    layoutManager.backgroundLayoutEnabled = NO;
    [textView.textContainer replaceLayoutManager:layoutManager];

    // Do any additional setup after loading the view.
}

- (void)setRepresentedObject:(id)representedObject {
    [super setRepresentedObject:representedObject];

    // Update the view, if already loaded.
}

@end
